import { ZoneWidget } from "@codingame/monaco-vscode-api/vscode/vs/editor/contrib/zoneWidget/browser/zoneWidget";
import { ICodeEditor } from "@codingame/monaco-vscode-api/vscode/vs/editor/browser/editorBrowser";
import { IExceptionInfo, IDebugSession } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/debug/common/debug";
import { IThemeService } from "@codingame/monaco-vscode-api/vscode/vs/platform/theme/common/themeService.service";
import { IInstantiationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
export declare class ExceptionWidget extends ZoneWidget {
    private exceptionInfo;
    private debugSession;
    private readonly instantiationService;
    private backgroundColor;
    constructor(editor: ICodeEditor, exceptionInfo: IExceptionInfo, debugSession: IDebugSession | undefined, themeService: IThemeService, instantiationService: IInstantiationService);
    private applyTheme;
    protected _applyStyles(): void;
    protected _fillContainer(container: HTMLElement): void;
    protected _doLayout(_heightInPixel: number | undefined, _widthInPixel: number | undefined): void;
    focus(): void;
    hasFocus(): boolean;
}
